.if cpufreq == 0 // simulation mode

	WAIT_10us:	
	WAIT_100us: 
	WAIT_1ms:
	WAIT_25ms:
	WAIT_100ms: 
	WAIT_1s:
		ret	
.endif

.if	cpufreq == 16000000

	WAIT_10us:	; 9,875s
		
			push XL

			ldi XL, 0x31
			dec XL
			brne pc - 1

			pop XL
		ret

	WAIT_100us: ; 100.25s
			push XL

			ldi XL, 0x09
			rcall WAIT_10us
			dec XL
			brne pc - 2

			ldi XL, 0x30
			dec XL
			brne pc - 1

			pop XL
		ret

	WAIT_1ms: ; 1,05ms
			push XL

			ldi XL, 0x0A
			rcall WAIT_100us
			dec XL
			brne pc - 2

			pop XL
		ret
	
	WAIT_25ms:
			push XL

			ldi XL, 0x19
			rcall WAIT_1ms
			dec XL
			brne pc - 2

			pop XL
		ret
		
	WAIT_100ms: 
			push XL

			ldi XL, 0x64
			rcall WAIT_1ms
			dec XL
			brne pc - 2

			pop XL
		ret
		
	WAIT_1s:
			push XL

			ldi XL, 0x0A
			rcall WAIT_100ms
			dec XL
			brne pc - 2

			pop XL
		ret	
.endif
